Arch MergeWalls: Difference between revisions

From FreeCAD Documentation
No edit summary
(Module to Workbench renaming.)
Line 5: Line 5:
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_Check|Check]]
|[[Arch_Check|Check]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloseHoles.svg
|IconL=Arch_CloseHoles.svg
|IconR=Arch_Check.svg
|IconR=Arch_Check.svg
Line 15: Line 15:
|Name=Arch MergeWalls
|Name=Arch MergeWalls
|MenuLocation=Arch → Utilities → Merge Walls
|MenuLocation=Arch → Utilities → Merge Walls
|Workbenches=[[Arch_Module|Arch]]
|Workbenches=[[Arch_Workbench|Arch]]
|SeeAlso=[[Arch_Wall|Arch Wall]]
|SeeAlso=[[Arch_Wall|Arch Wall]]
}}
}}
Line 63: Line 63:
}}
}}
<translate>
<translate>



<!--T:11-->
<!--T:11-->
Line 68: Line 69:
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_Check|Check]]
|[[Arch_Check|Check]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloseHoles.svg
|IconL=Arch_CloseHoles.svg
|IconR=Arch_Check.svg
|IconR=Arch_Check.svg
Line 76: Line 77:
</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 09:52, 28 August 2021

Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Usage

  1. Select two or more walls.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])